## OMA Get Feature Setting OMA Get Feature Setting |

## Functions

QmiMessageOmaGetFeatureSettingOutput * | qmi_message_oma_get_feature_setting_output_ref ()
void | qmi_message_oma_get_feature_setting_output_unref ()
gboolean | qmi_message_oma_get_feature_setting_output_get_result ()
gboolean | qmi_message_oma_get_feature_setting_output_get_device_provisioning_service_update_config ()
gboolean | qmi_message_oma_get_feature_setting_output_get_prl_update_service_config ()
gboolean | qmi_message_oma_get_feature_setting_output_get_hfa_feature_config ()
gboolean | qmi_message_oma_get_feature_setting_output_get_hfa_feature_done_state ()
void | qmi_client_oma_get_feature_setting ()
QmiMessageOmaGetFeatureSettingOutput * | qmi_client_oma_get_feature_setting_finish ()

## Types and Values

| QmiMessageOmaGetFeatureSettingOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageOmaGetFeatureSettingOutput

## Description

## Functions

### qmi_message_oma_get_feature_setting_output_ref ()

    QmiMessageOmaGetFeatureSettingOutput *
    qmi_message_oma_get_feature_setting_output_ref
                                   (QmiMessageOmaGetFeatureSettingOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |

#### Returns

the new reference to `self` .

### qmi_message_oma_get_feature_setting_output_unref ()

    void
    qmi_message_oma_get_feature_setting_output_unref
                                   (QmiMessageOmaGetFeatureSettingOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |

### qmi_message_oma_get_feature_setting_output_get_result ()

    gboolean
    qmi_message_oma_get_feature_setting_output_get_result
                                   (QmiMessageOmaGetFeatureSettingOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_oma_get_feature_setting_output_get_device_provisioning_service_update_config ()

    gboolean
    qmi_message_oma_get_feature_setting_output_get_device_provisioning_service_update_config
                                   (QmiMessageOmaGetFeatureSettingOutput *self,
                                    gboolean *device_provisioning_service_update_config,
                                    GError **error);

Get the 'Device Provisioning Service Update Config' field from `self` .

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |
device_provisioning_service_update_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_oma_get_feature_setting_output_get_prl_update_service_config ()

    gboolean
    qmi_message_oma_get_feature_setting_output_get_prl_update_service_config
                                   (QmiMessageOmaGetFeatureSettingOutput *self,
                                    gboolean *prl_update_service_config,
                                    GError **error);

Get the 'PRL Update Service Config' field from `self` .

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |
prl_update_service_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_oma_get_feature_setting_output_get_hfa_feature_config ()

    gboolean
    qmi_message_oma_get_feature_setting_output_get_hfa_feature_config
                                   (QmiMessageOmaGetFeatureSettingOutput *self,
                                    gboolean *hfa_feature_config,
                                    GError **error);

Get the 'HFA Feature Config' field from `self` .

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |
hfa_feature_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_oma_get_feature_setting_output_get_hfa_feature_done_state ()

    gboolean
    qmi_message_oma_get_feature_setting_output_get_hfa_feature_done_state
                                   (QmiMessageOmaGetFeatureSettingOutput *self,
                                    QmiOmaHfaFeatureDoneState *hfa_feature_done_state,
                                    GError **error);

Get the 'HFA Feature Done State' field from `self` .

#### Parameters

self | a QmiMessageOmaGetFeatureSettingOutput. |
hfa_feature_done_state | a placeholder for the output QmiOmaHfaFeatureDoneState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_oma_get_feature_setting ()

    void
    qmi_client_oma_get_feature_setting (QmiClientOma *self,
                                        gpointer unused,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get Feature Setting request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_get_feature_setting_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_oma_get_feature_setting_finish ()

    QmiMessageOmaGetFeatureSettingOutput *
    qmi_client_oma_get_feature_setting_finish
                                   (QmiClientOma *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_oma_get_feature_setting()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_get_feature_setting()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaGetFeatureSettingOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_get_feature_setting_output_unref()`.

## Types and Values

### QmiMessageOmaGetFeatureSettingOutput

    typedef struct _QmiMessageOmaGetFeatureSettingOutput QmiMessageOmaGetFeatureSettingOutput;

The QmiMessageOmaGetFeatureSettingOutput structure contains private data and should only be accessed using the provided API.